Subject: Re: [PATCH v4 00/17] object-store: carve out the object database subsystem

From: Junio C Hamano <[email-masked]>
Date: Mon, 02 Jun 2025 08:38:11 -0700

Patrick Steinhardt <[email-masked]> writes:

> This series is built on top of 6f84262c44a (The eleventh batch,
> 2025-05-05) with ps/object-store-cleanup at 8a9e27be821 (object-store:
> drop `repo_has_object_file()`, 2025-04-29) merged into it. There are a
> couple of trivial conflicts when merged with "seen", I have appended the
> merge conflict resolution as a patch at the end of this mail.
> ...
> Changes in v4:
>   - Rebased the patch series on top of 7014b55638d (A bit more topics
>     for -rc1, 2025-05-30). This fixes a couple of merge conflicts, most
>     importantly with jk/no-funny-object-types.

Ah, the original cover letter material that was more prominent is
still left before the changes per iteration lissted here, so I was
scratching my head wondering why the series fails to apply at 02/17.

Will try to read it through before queuing.

Thanks.